lbmk: more verbose error messages

Signed-off-by: Leah Rowe <leah@libreboot.org>
btrfsvols
Leah Rowe 2023-09-16 11:37:20 +01:00
parent a1db59a583
commit f8704c0a0d
1 changed files with 6 additions and 4 deletions

10
lbmk
View File

@ -75,7 +75,7 @@ install_packages()
printf "Look at files under config/dependencies/\n" \ printf "Look at files under config/dependencies/\n" \
1>&2 1>&2
printf "Example: ./build dependencies debian\n" 1>&2 printf "Example: ./build dependencies debian\n" 1>&2
fail "target not specified" fail "install_packages: target not specified"
fi fi
[ -f "config/dependencies/${2}" ] || fail "Unsupported target" [ -f "config/dependencies/${2}" ] || fail "Unsupported target"
@ -100,7 +100,8 @@ execute_command()
fi fi
[ -f "${buildpath}/${mode}/${option}" ] || \ [ -f "${buildpath}/${mode}/${option}" ] || \
fail "Invalid command. Run: ${linkpath} help" fail "Invalid command. Run: ${linkpath} help"
"${buildpath}/${mode}/${option}" $@ || fail "lbmk error" "${buildpath}/${mode}/${option}" $@ || \
fail "execute_command: ${buildpath}/${mode}/${option} ${@}"
} }
usage() usage()
@ -124,13 +125,14 @@ usage()
lbmk_exit() lbmk_exit()
{ {
tmp_cleanup || err "could not remove tmpdir on lbmk exit: ${tmpdir}" tmp_cleanup || \
err "lbmk_exit: could not remove tmpdir upon exit $1: ${tmpdir}"
exit $1 exit $1
} }
fail() fail()
{ {
tmp_cleanup || printf "WARNING: could not remove tmpdir: %s\n" \ tmp_cleanup || printf "fail(): WARNING: cannot remove tmpdir: %s\n" \
"${tmpdir}" 1>&2 "${tmpdir}" 1>&2
err "${1}" err "${1}"
} }